#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXcursor
Version		:	1.2.1
Release		:	16.2.0.rel%{?dist}
Summary		:	X.Org X11 Cursor management library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	xorg-libXfixes
BuildRequires	:	xorg-libXrender
#-----------------------------------------------------------------------------
%description
This is  a simple library designed to help locate and load cursors.
Cursors can be loaded from files or memory. A library of common cursors
exists which map to the standard X cursor names.Cursors can exist in
several sizes and the library automatically picks the best size.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{shortname}-%{version}
#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/			\
        --sysconfdir=%{_sysconfdir}/			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%{_includedir}/X11/Xcursor/Xcursor.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/xcursor.pc
%{_mandir}/man3/*.3.gz


%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
